Package: org.grails.web.sitemesh

## [Java] Class Grails5535Factory

- org.grails.web.sitemesh.Grails5535Factory

- TODO remove this once http://jira.opensymphony.com/browse/SIM-263 is fixed. Replaces `DefaultFactory` to fix http://jira.codehaus.org/browse/GRAILS-5535. There are two changes, both replacing toURL() with toURI().toURL().

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static long` | `configCheckMillis` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Grails5535Factory (com.opensymphony.module.sitemesh.Config config)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `pushDecoratorMapper(java.lang.String className, java.util.Properties properties)`
    `` | `void` | `refresh()` Check if configuration file has been modified, and if so reload it.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class com.opensymphony.module.sitemesh.factory.BaseFactory` | `com.opensymphony.module.sitemesh.factory.BaseFactory#getDecoratorMapper(), com.opensymphony.module.sitemesh.factory.BaseFactory#isPathExcluded(java.lang.String), com.opensymphony.module.sitemesh.factory.BaseFactory#shouldParsePage(java.lang.String), com.opensymphony.module.sitemesh.factory.BaseFactory#getPageParser(java.lang.String), com.opensymphony.module.sitemesh.factory.BaseFactory#refresh(), com.opensymphony.module.sitemesh.factory.BaseFactory#getInstance(com.opensymphony.module.sitemesh.Config), com.opensymphony.module.sitemesh.factory.BaseFactory#wait(long, int), com.opensymphony.module.sitemesh.factory.BaseFactory#wait(long), com.opensymphony.module.sitemesh.factory.BaseFactory#wait(), com.opensymphony.module.sitemesh.factory.BaseFactory#equals(java.lang.Object), com.opensymphony.module.sitemesh.factory.BaseFactory#toString(), com.opensymphony.module.sitemesh.factory.BaseFactory#hashCode(), com.opensymphony.module.sitemesh.factory.BaseFactory#getClass(), com.opensymphony.module.sitemesh.factory.BaseFactory#notify(), com.opensymphony.module.sitemesh.factory.BaseFactory#notifyAll()`
    `class com.opensymphony.module.sitemesh.Factory` | `com.opensymphony.module.sitemesh.Factory#getDecoratorMapper(), com.opensymphony.module.sitemesh.Factory#isPathExcluded(java.lang.String), com.opensymphony.module.sitemesh.Factory#refresh(), com.opensymphony.module.sitemesh.Factory#shouldParsePage(java.lang.String), com.opensymphony.module.sitemesh.Factory#getPageParser(java.lang.String), com.opensymphony.module.sitemesh.Factory#getInstance(com.opensymphony.module.sitemesh.Config), com.opensymphony.module.sitemesh.Factory#wait(long, int), com.opensymphony.module.sitemesh.Factory#wait(long), com.opensymphony.module.sitemesh.Factory#wait(), com.opensymphony.module.sitemesh.Factory#equals(java.lang.Object), com.opensymphony.module.sitemesh.Factory#toString(), com.opensymphony.module.sitemesh.Factory#hashCode(), com.opensymphony.module.sitemesh.Factory#getClass(), com.opensymphony.module.sitemesh.Factory#notify(), com.opensymphony.module.sitemesh.Factory#notifyAll()`

- - ### Field Detail

    - #### public static long configCheckMillis

  - ### Constructor Detail

    - #### public Grails5535Factory(com.opensymphony.module.sitemesh.Config config)

  - ### Method Detail

    - #### @java.lang.Override protected void pushDecoratorMapper(java.lang.String className, java.util.Properties properties)

    - #### @java.lang.Override public void refresh()

      Check if configuration file has been modified, and if so reload it.